<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="anf_lieferdatenuebersicht" pageWidth="595" pageHeight="842" columnWidth="545" leftMargin="30" rightMargin="20" topMargin="20" bottomMargin="20" uuid="c0c11dc8-35cb-4c41-9c68-18a6a2208ceb">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.8150000000000004"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="FILTERKRITERIEN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Filterkriterien]]></parameterDescription>
	</parameter>
	<parameter name="SORTIERKRITERIEN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Sortierkriterien]]></parameterDescription>
	</parameter>
	<parameter name="P_SORTIERENACHPROJEKT" class="java.lang.Boolean" isForPrompting="false">
		<parameterDescription><![CDATA[1 ... Sortiert nach Projekt]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANTWAEHRUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Waehrung des Mandanten]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_EINHEIT_ANLIEFERZEIT" class="java.lang.String" isForPrompting="false"/>
	<field name="Anfragecnr" class="java.lang.String">
		<fieldDescription><![CDATA[Anfrage-Nr.]]></fieldDescription>
	</field>
	<field name="Artikelcnr" class="java.lang.String">
		<fieldDescription><![CDATA[Artikel-Nr.]]></fieldDescription>
	</field>
	<field name="Liefermenge" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Liefermenge]]></fieldDescription>
	</field>
	<field name="Einheitcnr" class="java.lang.String">
		<fieldDescription><![CDATA[Einheit-Nr.]]></fieldDescription>
	</field>
	<field name="Artikelcbez" class="java.lang.String">
		<fieldDescription><![CDATA[Artikelbezeichnung]]></fieldDescription>
	</field>
	<field name="Anlieferpreis" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Anlieferpreis]]></fieldDescription>
	</field>
	<field name="Anlieferzeit" class="java.lang.Integer">
		<fieldDescription><![CDATA[Anlieferzeit]]></fieldDescription>
	</field>
	<field name="Lieferantname" class="java.lang.String">
		<fieldDescription><![CDATA[Name des Lieferanten]]></fieldDescription>
	</field>
	<field name="F_ANFRAGECBEZ" class="java.lang.String">
		<fieldDescription><![CDATA[Anfragebezeichnung]]></fieldDescription>
	</field>
	<field name="Lieferadressename" class="java.lang.String"/>
	<field name="Ersatzartikel" class="java.lang.Boolean"/>
	<field name="ArtikelcnrOriginal" class="java.lang.String">
		<fieldDescription><![CDATA[Artikel-Nr.]]></fieldDescription>
	</field>
	<field name="BilligsterArtikel" class="java.lang.Boolean"/>
	<field name="SchnellsterArtikel" class="java.lang.Boolean"/>
	<field name="Lief1Preis" class="java.math.BigDecimal"/>
	<field name="Lief1Gueltigab" class="java.util.Date"/>
	<field name="Lief1Fixkosten" class="java.math.BigDecimal"/>
	<field name="Lief1Lieferant" class="java.lang.String"/>
	<variable name="V_IS_CURRENT_PAGE_ONE" class="java.lang.Boolean">
		<variableExpression><![CDATA[new Boolean(false)]]></variableExpression>
		<initialValueExpression><![CDATA[new Boolean(true)]]></initialValueExpression>
	</variable>
	<variable name="V_LIEFERBETRAGPROPOSITION" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$F{Liefermenge}.multiply($F{Anlieferpreis})]]></variableExpression>
	</variable>
	<variable name="V_LIEFERBETRAGGESAMT" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$V{V_LIEFERBETRAGPROPOSITION}]]></variableExpression>
	</variable>
	<variable name="Zebra" class="java.lang.Integer" resetType="Page" incrementType="Group" incrementGroup="Anfrage" calculation="Count">
		<variableExpression><![CDATA[true]]></variableExpression>
		<initialValueExpression><![CDATA[]]></initialValueExpression>
	</variable>
	<variable name="CountBilligster" class="java.lang.Integer" resetType="Group" resetGroup="Artikel">
		<variableExpression><![CDATA[$F{BilligsterArtikel} ? $V{CountBilligster}.intValue()+1 : $V{CountBilligster}]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<variable name="BilligNr1" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{BilligsterArtikel} != null && $F{BilligsterArtikel} == true ?
    ($V{CountBilligster}==null || $V{CountBilligster}.intValue() <= 1 ? true : false)
: false]]></variableExpression>
	</variable>
	<variable name="LISTE_Lieferanten" class="java.util.List">
		<variableExpression><![CDATA[($V{LISTE_Lieferanten} == null ? new ArrayList() : $V{LISTE_Lieferanten})]]></variableExpression>
	</variable>
	<variable name="LISTE_Lieferanten_ADD" class="java.lang.Boolean">
		<variableExpression><![CDATA[$V{LISTE_Lieferanten}.add(new java.lang.Object[] {
        $F{Lieferantname}+$F{Artikelcnr},
        $F{Lieferantname},
        $F{Artikelcnr},
        $F{Anlieferpreis},
        $F{BilligsterArtikel},
        $V{BilligNr1},
        $F{Artikelcbez},
        $F{Liefermenge},
        $F{Einheitcnr}
    }
)]]></variableExpression>
	</variable>
	<variable name="Anzahl_verschiedene_Positionen" class="java.lang.Integer">
		<variableExpression><![CDATA[$F{BilligsterArtikel} != null && $F{BilligsterArtikel}
? ($V{Anzahl_verschiedene_Positionen} == null ? 1 : $V{Anzahl_verschiedene_Positionen}.intValue()+1)
: $V{Anzahl_verschiedene_Positionen}]]></variableExpression>
	</variable>
	<group name="Projekt">
		<groupExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel") ?
$F{Artikelcnr} :
$F{F_ANFRAGECBEZ}]]></groupExpression>
		<groupHeader>
			<band height="22" splitType="Stretch">
				<textField pattern="" isBlankWhenNull="true">
					<reportElement key="F_ANFRAGECBEZ" mode="Opaque" x="15" y="0" width="535" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3f327f9f-deaf-4fdd-87b9-8be32d884eb0">
						<printWhenExpression><![CDATA[$P{P_SORTIERENACHPROJEKT}]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
						<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA["Projekt " + $F{F_ANFRAGECBEZ}]]></textFieldExpression>
				</textField>
				<rectangle>
					<reportElement key="Zebra" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="12" width="545" height="10" forecolor="#FFCF98" backcolor="#FFCF98" uuid="86d3753d-2539-4dd8-874d-ad5332b679e9">
						<printWhenExpression><![CDATA[$V{Zebra}.doubleValue() / 2 == $V{Zebra}.intValue() / 2]]></printWhenExpression>
					</reportElement>
					<graphicElement>
						<pen lineWidth="0.0" lineStyle="Solid"/>
					</graphicElement>
				</rectangle>
				<rectangle>
					<reportElement key="kein Zebra" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="12" width="545" height="10" forecolor="#FFEEDD" backcolor="#FFEEDD" uuid="4cd4ea73-02a2-4730-ab5f-9ed7d871aa18">
						<printWhenExpression><![CDATA[$V{Zebra}.doubleValue() / 2 != $V{Zebra}.intValue() / 2]]></printWhenExpression>
					</reportElement>
					<graphicElement>
						<pen lineWidth="0.0" lineStyle="Solid"/>
					</graphicElement>
				</rectangle>
				<textField pattern="" isBlankWhenNull="true">
					<reportElement key="Anfragecnr" isPrintRepeatedValues="false" mode="Transparent" x="500" y="12" width="50" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="716d870d-7fc3-4bde-acf9-3bc6626a9a33">
						<printWhenExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel")]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA["Lief1"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true" hyperlinkType="GOTO">
					<reportElement key="Artikelcnr" mode="Transparent" x="15" y="12" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="a51daa83-2fb3-4350-b672-595550285c23">
						<printWhenExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel")]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Artikelcnr}]]></textFieldExpression>
					<hyperlinkParameter name="WhereToGo">
						<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
					</hyperlinkParameter>
					<hyperlinkParameter name="Key">
						<hyperlinkParameterExpression><![CDATA[$F{Artikelcnr}]]></hyperlinkParameterExpression>
					</hyperlinkParameter>
				</textField>
				<textField pattern="#,##0.0000;-#,##0.0000" isBlankWhenNull="true">
					<reportElement key="Anlieferpreis" mode="Transparent" x="255" y="12" width="50" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="a6948dfd-8e95-4baa-b822-648e64948ef4">
						<printWhenExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel")]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Lief1Preis}]]></textFieldExpression>
				</textField>
				<textField pattern="" isBlankWhenNull="true">
					<reportElement key="Lieferantname" isPrintRepeatedValues="false" mode="Transparent" x="395" y="12" width="100" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="43dd0f28-edc1-4425-ad05-36b51a560172">
						<printWhenExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel")]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Lief1Lieferant}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
					<reportElement key="Artikelcbez" mode="Transparent" x="150" y="12" width="105" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="1addb49b-f644-4ce4-ab7b-7316e37375cb">
						<printWhenExpression><![CDATA[$P{SORTIERKRITERIEN}.contains("Artikel")]]></printWhenExpression>
					</reportElement>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Artikelcbez}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="10" splitType="Stretch">
				<line>
					<reportElement key="line-4" mode="Opaque" x="0" y="1" width="545" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="a077030e-f6ce-42ce-8b75-445e01f636a9"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.5" lineStyle="Solid"/>
					</graphicElement>
				</line>
			</band>
		</groupFooter>
	</group>
	<group name="Artikel">
		<groupExpression><![CDATA[$F{Artikelcnr}]]></groupExpression>
	</group>
	<group name="Anfrage">
		<groupExpression><![CDATA[$F{Anfragecnr}]]></groupExpression>
	</group>
	<pageHeader>
		<band height="59" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="REPORT_INFORMATION" mode="Opaque" x="0" y="0" width="370" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="0d200126-c8fc-46bc-bf49-722a77063c1c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Opaque" x="385" y="0" width="130" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="30124d94-53e1-4015-ab79-5d953886173f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Opaque" x="515" y="0" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="49bc3b80-5642-469d-b325-db5a2904f7c0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Lieferdatenübersicht" mode="Opaque" x="0" y="20" width="130" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="dc180e00-494a-4ee1-9585-0679069955b7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Lieferdatenübersicht]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="FILTERKRITERIEN" mode="Opaque" x="134" y="22" width="216" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="97608c44-feb7-4c94-91ec-c3acdc5450e1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{FILTERKRITERIEN}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="SORTIERKRITERIEN" mode="Opaque" x="355" y="22" width="130" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="ad6ee8ce-85cb-4c94-a008-9849d47278ff"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{SORTIERKRITERIEN}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="FILTERKRITERIEN-1" mode="Opaque" x="0" y="32" width="220" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="a3e2ebbc-3182-4dd2-8ec3-469bd0f334e1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Einheit der Anlieferzeit= "+$P{P_EINHEIT_ANLIEFERZEIT}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-1" mode="Opaque" x="0" y="58" width="545" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="d0c68fe9-edf5-4953-afab-0964bcd5e539"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement key="Ident" mode="Opaque" x="15" y="47" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a1beecb5-4c99-4abf-b5b1-2a1d527d5dd0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[► Ident]]></text>
			</staticText>
			<staticText>
				<reportElement key="Liefermenge" mode="Opaque" x="75" y="47" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="19d6c1e1-669f-4013-8f94-fd16d3070937"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Liefermenge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Mengeneinheit" mode="Opaque" x="130" y="47" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a735fa80-2514-4aa9-bf26-261bdf436d8c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[ME]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bezeichnung" mode="Opaque" x="150" y="47" width="105" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="078920c1-4f30-44ec-8e39-a223090ea0ff"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Bezeichnung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lieferpreis" mode="Opaque" x="255" y="47" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="bf85c12a-e530-4785-9f81-3104297a771f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Lieferpreis]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lieferwert" mode="Opaque" x="305" y="47" width="60" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="42d2a066-3243-49b5-adeb-4e809a64baaa"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Lieferwert	]]></text>
			</staticText>
			<staticText>
				<reportElement key="LZ" mode="Opaque" x="370" y="47" width="15" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="e2d56881-198e-4e60-917f-9684e491289d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[LZ]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lieferant" mode="Opaque" x="395" y="47" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="91654880-8979-45fb-a987-098f28623c67"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Lieferant]]></text>
			</staticText>
			<staticText>
				<reportElement key="Anfragenr." mode="Opaque" x="500" y="47" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="4ab9e042-8800-47b6-bfae-23a1eb0ebf67"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Anfragenr.]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<rectangle>
				<reportElement key="Zebra" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="545" height="10" forecolor="#CCCCCC" backcolor="#CCCCCC" uuid="9fd14e3d-0f0d-4018-8aeb-da87eebe255c">
					<printWhenExpression><![CDATA[$V{Zebra}.doubleValue() / 2 == $V{Zebra}.intValue() / 2]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Ersatzartikel" mode="Transparent" x="0" y="0" width="15" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="58868ea3-7d25-4ba9-8012-6cd058d68892">
					<printWhenExpression><![CDATA[$F{Ersatzartikel}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["E"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="Artikelcnr" mode="Transparent" x="15" y="0" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="ee35d997-b2b7-4562-86b8-a340ab208da2"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikelcnr}]]></textFieldExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{Artikelcnr}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Liefermenge" mode="Transparent" x="75" y="0" width="50" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="dc5ed1f8-a1ef-4081-aed9-b3a921cc7388"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Liefermenge}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Einheitcnr" mode="Transparent" x="130" y="0" width="20" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="219b9ce4-8cbc-46ea-a8db-bf9f21ed9ff5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Einheitcnr}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Artikelcbez" mode="Transparent" x="150" y="0" width="105" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="e5b29cb6-bd66-404f-8b41-1ee2a4e2d899"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikelcbez}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement key="Billigster" stretchType="RelativeToBandHeight" mode="Opaque" x="255" y="0" width="50" height="10" forecolor="#339900" backcolor="#339900" uuid="6ada6c07-ccbc-4744-b281-a41bd507fc0c">
					<printWhenExpression><![CDATA[$F{BilligsterArtikel}]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField pattern="#,##0.0000;-#,##0.0000" isBlankWhenNull="true">
				<reportElement key="Anlieferpreis" mode="Transparent" x="255" y="0" width="50" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="0cb536c0-9c8b-4392-80bf-c952a8f6f5ca">
					<printWhenExpression><![CDATA[new Boolean (!($F{Anlieferpreis}.compareTo(new BigDecimal(0.0000)) == 0))]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Anlieferpreis}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement key="Schnellster" stretchType="RelativeToBandHeight" mode="Opaque" x="370" y="0" width="15" height="10" forecolor="#339900" backcolor="#339900" uuid="292eec77-d9ea-4f2a-b9e3-bc19e8f8ecbf">
					<printWhenExpression><![CDATA[$F{BilligsterArtikel}]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Anlieferzeitinwochen" mode="Transparent" x="370" y="0" width="15" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="82b0c08d-0c87-4549-b060-8f6fc56b1553">
					<printWhenExpression><![CDATA[new Boolean($F{Anlieferzeit}.intValue()!=0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Anlieferzeit}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Lieferantname" isPrintRepeatedValues="false" mode="Transparent" x="395" y="0" width="100" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="5443bfc1-a6c6-4daa-83f9-a044293b00ac"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Lieferantname}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0000;-#,##0.0000" isBlankWhenNull="true">
				<reportElement key="Lieferwert" mode="Transparent" x="305" y="0" width="60" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="8974fc4f-df42-4bdc-942d-ffd12d1fed25">
					<printWhenExpression><![CDATA[new Boolean (!($V{V_LIEFERBETRAGPROPOSITION}.compareTo(new BigDecimal(0.0000)) == 0))]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{V_LIEFERBETRAGPROPOSITION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Anfragecnr" isPrintRepeatedValues="false" mode="Transparent" x="500" y="0" width="50" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="e1f50aae-1316-48db-8aa3-b6fada25e5e0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Anfragecnr}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="14" splitType="Stretch">
			<line>
				<reportElement key="line-3" mode="Opaque" x="0" y="1" width="545" height="1" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="64b63987-8c51-4a6e-973c-efa59feb27d5"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Zwischensumme" mode="Opaque" x="0" y="4" width="245" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="56d75c03-bc7e-4587-85a5-e52d1d4240eb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Zwischensumme in " + $P{P_MANDANTWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0000;-#,##0.0000" isBlankWhenNull="true">
				<reportElement key="LieferwertZwischen" mode="Opaque" x="280" y="4" width="85" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="6ad2f54d-8d8b-408f-9de7-4fc8246ccfd3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{V_LIEFERBETRAGGESAMT}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<lastPageFooter>
		<band height="1" splitType="Stretch"/>
	</lastPageFooter>
	<summary>
		<band height="30" splitType="Stretch">
			<line>
				<reportElement key="line-3" mode="Opaque" x="0" y="1" width="545" height="1" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="8d236274-5585-45fc-8cf0-c771e69f6a9b"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Gesamtsumme" mode="Opaque" x="0" y="4" width="245" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="ead51a0b-235f-499c-830b-7e520a8ec55d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["Gesamtsumme in " + $P{P_MANDANTWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0000;-#,##0.0000" isBlankWhenNull="true">
				<reportElement key="LieferwertGesamt" mode="Opaque" x="280" y="4" width="85" height="10" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="850004cb-75ad-478b-bf40-622a100f198c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{V_LIEFERBETRAGGESAMT}]]></textFieldExpression>
			</textField>
			<subreport>
				<reportElement key="Subreport_Lieferanten_Zusammenfassung" positionType="Float" x="0" y="20" width="545" height="10" uuid="054df712-b193-4f0f-b6f3-56acac4af713"/>
				<subreportParameter name="FILTERKRITERIEN">
					<subreportParameterExpression><![CDATA[$P{FILTERKRITERIEN}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="Positionen">
					<subreportParameterExpression><![CDATA[$V{Anzahl_verschiedene_Positionen}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortList($V{LISTE_Lieferanten}),
    new String[] {"Sort",
        "Lieferantname",
        "Artikelcnr",
        "Anlieferpreis",
        "BilligsterArtikel",
        "BilligNr1",
        "Artikelcbez",
        "Liefermenge",
        "Einheitcnr"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "anf_lieferdatenuebersicht_lieferanten.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
